import unittest
import io
import contextlib
from pathlib import Path
from filecmp import cmp
from unittest.mock import patch

from tmc import points

from tmc.utils import load, get_stdout
main = load('src.main', 'main')
factorial = load('src.main','factorial')

@points('3.7')
class MainTest(unittest.TestCase):
    def test_00_output(self):
        self.longMessage = False
        main()
        my_output = Path("output.dat")
        if not my_output.is_file():
            self.fail('Et luonut output.dat tiedostoa.')

    def test_01_output_match(self):
        self.longMessage = False
        main()
        if not cmp('output.dat','test/.output.dat'):
            self.fail('Output.dat tiedostossa on virhe.')
